/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.Secretaria;
import org.zkoss.util.resource.Labels;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class RenderSecretaria implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        Secretaria secretaria = (Secretaria) o;

        Listcell lc = new Listcell(secretaria.getSecretariaId() == null ? "" : secretaria.getSecretariaId().toString());
        lc.setParent(lstm);

        lc = new Listcell(secretaria.getDescsecretaria());
        lc.setParent(lstm);

        lc = new Listcell(secretaria.getCvesecretaria());
        lc.setParent(lstm);

        Boolean valida = secretaria.getValidafolio();
        if (valida) {
            lc = new Listcell(Labels.getLabel("MSG.VALIDA"));
        } else {
            lc = new Listcell(Labels.getLabel("MSG.NO.VALIDA"));
        }
        lc.setParent(lstm);

        if (secretaria.getImprimeprecio().equals(Secretaria.PRECIO_TOTAL)) {
            lc = new Listcell(Labels.getLabel("MSG.PRECIO.TOTAL"));
        } else if (secretaria.getImprimeprecio().equals(Secretaria.PRECIO_MENOS_DESCUENTO)) {
            lc = new Listcell(Labels.getLabel("MSG.PRECIO.MENOS.DESCONTO"));
        } else if (secretaria.getImprimeprecio().equals(Secretaria.DESCUENTO_COBRAR)) {
            lc = new Listcell(Labels.getLabel("MSG.DESCUENTO.COBRAR"));
        }
        lc.setParent(lstm);

        lstm.setAttribute("data", secretaria);
    }
}
